diff --git a/CMakeLists.txt b/CMakeLists.txt
index 4ff40eba8..a6d27a817 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -79,7 +79,7 @@ set(MSCORE_UNSTABLE   FALSE)          # Mark as unstable
 #set(MSCORE_RELEASE_CHANNEL "testing")
 set(MSCORE_RELEASE_CHANNEL "stable")
 set(USE_SSE           TRUE)
-set(SCRIPT_INTERFACE  TRUE)
+set(SCRIPT_INTERFACE  FALSE)
 
 # Disable components not supported on Windows
 if (MSVC OR MINGW)
@@ -230,7 +230,7 @@ else (APPLE)
          set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} /arch:SSE")
       endif (USE_SSE)
       set(CMAKE_CXX_FLAGS_DEBUG          "/MT /permissive- /std:c++14 /W4 /Zi /Ob0 /Od /RTC1")
-      set(CMAKE_CXX_FLAGS_RELEASE        "/MT /permissive- /std:c++14 /W4 /O2 /Ob2 /DNDEBUG /DQT_NO_DEBUG /DQT_NO_DEBUG_OUTPUT")
+      set(CMAKE_CXX_FLAGS_RELEASE        "/MT /std:c++14 /W4 /O2 /Ob2 /DNDEBUG /DQT_NO_DEBUG /DQT_NO_DEBUG_OUTPUT")
       set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "/MT /permissive- /std:c++14 /W4 /Zi /O2 /Ob1 /DNDEBUG /DQT_NO_DEBUG")
    else (MSVC)
       set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
diff --git a/libmscore/fraction.h b/libmscore/fraction.h
index a49dd042c..9841fe626 100644
--- a/libmscore/fraction.h
+++ b/libmscore/fraction.h
@@ -79,7 +79,7 @@ class Fraction {
       operator QVariant() const { return QVariant::fromValue(*this); }
       };
 
-#ifdef SCRIPT_INTERFACE
+//#ifdef SCRIPT_INTERFACE
 
 //---------------------------------------------------------
 //   FractionWrapper
@@ -108,15 +108,15 @@ class FractionWrapper : public QObject {
       };
 
 
-#endif // SCRIPT_INTERFACE
+//#endif // SCRIPT_INTERFACE
 
 }     // namespace Ms
 
 Q_DECLARE_METATYPE(Ms::Fraction);
 
-#ifdef SCRIPT_INTERFACE
+//#ifdef SCRIPT_INTERFACE
 Q_DECLARE_METATYPE(Ms::FractionWrapper);
-#endif
+//#endif
 
 #endif
 
diff --git a/libmscore/scorediff.cpp b/libmscore/scorediff.cpp
index d0be9dfb5..86d083561 100644
--- a/libmscore/scorediff.cpp
+++ b/libmscore/scorediff.cpp
@@ -424,7 +424,7 @@ QString MscxModeDiff::getOuterLines(const QString& str, int lines, bool start) {
       lines = qAbs(lines);
       const int secIdxStart = start ? 0 : (-1 - (lines - 1));
       const int secIdxEnd = start ? (lines - 1) : -1;
-      constexpr auto secFlags = QString::SectionIncludeTrailingSep | QString::SectionSkipEmpty;
+      auto secFlags = QString::SectionIncludeTrailingSep | QString::SectionSkipEmpty;
       return str.section('\n', secIdxStart, secIdxEnd, secFlags);
       }
 
@@ -1216,7 +1216,7 @@ static QString addLinePrefix(const QString& str, const QString& prefix)
             lines.pop_back();
       QStringList processedLines;
       for (QStringRef& line : lines)
-            processedLines.push_back(prefix + line);
+            processedLines.push_back(QString(prefix).append(line));
       return processedLines.join('\n');
       }
 
diff --git a/libmscore/types.h b/libmscore/types.h
index befdfa2b1..54c8a667e 100644
--- a/libmscore/types.h
+++ b/libmscore/types.h
@@ -14,7 +14,7 @@
 #define __TYPES_H__
 
 namespace Ms {
-Q_NAMESPACE
+//Q_NAMESPACE
 
 //-------------------------------------------------------------------
 //    The value of this enum determines the "stacking order"
@@ -226,8 +226,8 @@ enum class TupletNumberType  : char { SHOW_NUMBER, SHOW_RELATION, NO_TEXT
 enum class TupletBracketType : char { AUTO_BRACKET, SHOW_BRACKET, SHOW_NO_BRACKET };
 
 
-Q_ENUM_NS(ElementType)
-Q_ENUM_NS(Direction)
+//Q_ENUM_NS(ElementType)
+//Q_ENUM_NS(Direction)
 
 //hack: to force the build system to run moc on this file
 class Mops : public QObject {
@@ -242,6 +242,6 @@ extern void fillComboBoxDirection(QComboBox*);
 } // namespace Ms
 
 Q_DECLARE_METATYPE(Ms::Align)
-
+Q_DECLARE_METATYPE(Ms::Direction);
 
 #endif
diff --git a/mscore/CMakeLists.txt b/mscore/CMakeLists.txt
index ed6c17f5e..535dae552 100644
--- a/mscore/CMakeLists.txt
+++ b/mscore/CMakeLists.txt
@@ -294,8 +294,8 @@ add_executable ( ${ExecutableName}
       omrpanel.h ove.h pa.h pagesettings.h palette.h palettebox.h paletteBoxButton.h partedit.h parteditbase.h
       pathlistdialog.h piano.h pianolevels.h pianolevelschooser.h  pianolevelsfilter.h
       pianokeyboard.h pianoroll.h pianoruler.h pianotools.h pianoview.h
-      playpanel.h pluginCreator.h
-      pluginManager.h pm.h preferences.h preferenceslistwidget.h prefsdialog.h qmledit.h
+      playpanel.h #pluginCreator.h pluginManager.h
+      pm.h preferences.h preferenceslistwidget.h prefsdialog.h # qmledit.h
       qmlplugin.h recordbutton.h resourceManager.h revision.h ruler.h scoreaccessibility.h
       scoreBrowser.h scoreInfo.h scorePreview.h scoretab.h scoreview.h searchComboBox.h
       sectionbreakprop.h selectdialog.h selectionwindow.h selectnotedialog.h selinstrument.h
@@ -842,7 +842,7 @@ else (MINGW)
                   "${QT_INSTALL_BINS}/Qt5Network.dll"  "${QT_INSTALL_BINS}/Qt5PrintSupport.dll"
                   "${QT_INSTALL_BINS}/Qt5Qml.dll"  "${QT_INSTALL_BINS}/Qt5Quick.dll"  "${QT_INSTALL_BINS}/Qt5Sql.dll"
                   "${QT_INSTALL_BINS}/Qt5Svg.dll"  "${QT_INSTALL_BINS}/Qt5Widgets.dll"  "${QT_INSTALL_BINS}/Qt5Xml.dll"
-                  "${QT_INSTALL_BINS}/Qt5XmlPatterns.dll"
+                  "${QT_INSTALL_BINS}/Qt5XmlPatterns.dll" "${QT_INSTALL_BINS}/Qt5CLucene.dll"
                   "${QT_INSTALL_BINS}/Qt5WebChannel.dll"
                   "${QT_INSTALL_BINS}/Qt5QuickWidgets.dll" "${QT_INSTALL_BINS}/Qt5Positioning.dll"
                   "${QT_INSTALL_BINS}/libEGL.dll" "${QT_INSTALL_BINS}/libGLESv2.dll"
diff --git a/mscore/musescore.cpp b/mscore/musescore.cpp
index e70829210..13d8b8ce0 100644
--- a/mscore/musescore.cpp
+++ b/mscore/musescore.cpp
@@ -7392,8 +7392,8 @@ int main(int argc, char* av[])
             }
 
       errorMessage = new QErrorMessage(mscore);
-      mscore->getPluginManager()->readPluginList();
-      mscore->loadPlugins();
+//      mscore->getPluginManager()->readPluginList();
+//      mscore->loadPlugins();
       mscore->writeSessionFile(false);
 
 #ifdef Q_OS_MAC
diff --git a/mscore/musescore.h b/mscore/musescore.h
index 8e8b02b97..b4b4b5f01 100644
--- a/mscore/musescore.h
+++ b/mscore/musescore.h
@@ -90,7 +90,7 @@ class TDockWidget;
 class Sym;
 class MasterPalette;
 class PluginCreator;
-class PluginManager;
+//class PluginManager;
 class MasterSynthesizer;
 class SynthesizerState;
 class Driver;
@@ -283,7 +283,7 @@ class MuseScore : public QMainWindow, public MuseScoreCore {
       InsertMeasuresDialog* insertMeasuresDialog { 0 };
       MasterPalette* masterPalette         { 0 };
       PluginCreator* _pluginCreator        { 0 };
-      PluginManager* pluginManager         { 0 };
+//      PluginManager* pluginManager         { 0 };
       SelectionWindow* selectionWindow     { 0 };
 
       QMenu* menuFile;
@@ -628,7 +628,7 @@ class MuseScore : public QMainWindow, public MuseScoreCore {
       PianorollEditor* getPianorollEditor() const { return pianorollEditor; }
       DrumrollEditor* getDrumrollEditor() const   { return drumrollEditor; }
       PianoTools* pianoTools() const              { return _pianoTools; }
-      PluginManager* getPluginManager() const     { return pluginManager; }
+//      PluginManager* getPluginManager() const     { return pluginManager; }
       void writeSessionFile(bool);
       bool restoreSession(bool);
       bool splitScreen() const { return _splitScreen; }
diff --git a/mscore/scoreview.cpp b/mscore/scoreview.cpp
index c41731ef0..155a4bce7 100644
--- a/mscore/scoreview.cpp
+++ b/mscore/scoreview.cpp
@@ -2605,7 +2605,7 @@ QVariant ScoreView::inputMethodQuery(Qt::InputMethodQuery query) const
                         return true; // TextBase will always accept input method input
                   case Qt::ImHints:
                         return Qt::ImhNone; // No hints for now, but maybe in future will give hints
-                  case Qt::ImInputItemClipRectangle: // maybe give clip rect hint in future, but for now use default parent clipping rect
+//                  case Qt::ImInputItemClipRectangle: // maybe give clip rect hint in future, but for now use default parent clipping rect
                   default:
                         return QWidget::inputMethodQuery(query); // fall back to QWidget's version as default
                   }
diff --git a/msvc_build.bat b/msvc_build.bat
index 5839c769b..dbe34c492 100644
--- a/msvc_build.bat
+++ b/msvc_build.bat
@@ -122,7 +122,7 @@ IF /I "%1"=="clean" (
    echo "Building CMake configuration..."
 @echo off
 REM -DCMAKE_BUILD_NUMBER=%BUILD_NUMBER% -DCMAKE_BUILD_AUTOUPDATE=%BUILD_AUTOUPDATE% are used for CI only
-   cd %BUILD_FOLDER% & cmake -G %GENERATOR_NAME% -DCMAKE_INSTALL_PREFIX=../%INSTALL_FOLDER% -DCMAKE_BUILD_TYPE=%CONFIGURATION_STR% -DBUILD_FOR_WINSTORE=%BUILD_FOR_WINSTORE% -DBUILD_64=%BUILD_64% -DCMAKE_BUILD_NUMBER=%BUILD_NUMBER% -DBUILD_AUTOUPDATE=%BUILD_AUTOUPDATE% ..
+   cd %BUILD_FOLDER% & cmake -G %GENERATOR_NAME%  -T "v141_xp" -DCMAKE_INSTALL_PREFIX=../%INSTALL_FOLDER% -DCMAKE_BUILD_TYPE=%CONFIGURATION_STR% -DBUILD_FOR_WINSTORE=%BUILD_FOR_WINSTORE% -DBUILD_64=%BUILD_64% -DCMAKE_BUILD_NUMBER=%BUILD_NUMBER% -DBUILD_AUTOUPDATE=%BUILD_AUTOUPDATE% ..
 @echo on
    echo "Running lrelease..."
 @echo off
